import '../dropdown/dropdown';
import '../icon/icon';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
export default class SdBreadcrumb extends SolidElement {
    localize: LocalizeController;
    private resizeObserver;
    base: HTMLElement;
    truncated: HTMLElement;
    dropdown: HTMLElement;
    defaultSlot: HTMLSlotElement;
    label: string;
    itemPositionsCached: boolean;
    isTruncated: boolean;
    private get items();
    private cacheItemPositions;
    private handleTruncation;
    handleMobileChevron(): void;
    handleSlotChange(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-breadcrumb': SdBreadcrumb;
    }
}
